--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 14/441
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              07-MAR-14   Generis           13.1
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to regress MDD change 14/441
PROMPT
PROMPT Version 13.1
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Regress name for PGM as MAM. (MDD 14/441)
PROMPT
--
SET SCAN OFF
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);

BEGIN

EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
                        SET MARKET_PARTICIPANT_NAME = ''G4S Utility Services Ltd (PGM)'',
                            LAST_UPDATE_USER_ID = USER,
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''PGM''';
	
 EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                        SET MARKET_PARTICIPANT_ROLE_NAME = ''G4S Utility Services Ltd (PGM as MAM)'',
                            LAST_UPDATE_USER_ID = USER,
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''PGM''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''MAM''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/

SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
